function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-underline-font-family);\n                ",
        ": var(--plasma-typo-underline-font-size);\n                ",
        ": var(--plasma-typo-underline-font-style);\n                ",
        ": var(--plasma-typo-underline-font-weight);\n                ",
        ": var(--plasma-typo-underline-letter-spacing);\n                ",
        ": var(--plasma-typo-underline-line-height);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
import { css, typographyTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        size: 'm'
    },
    variations: {
        size: {
            m: css(_templateObject(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
